#define vmr	vmr_		/* parameter for Name Translation is l_ */
#define ROUTINE int
/* @(#)iig.fc	15.1.1.1 (ESO-DMD) 01/12/01 17:04:50 */
/*===========================================================================
  Copyright (C) 1995 European Southern Observatory (ESO)
 
  This program is free software; you can redistribute it and/or 
  modify it under the terms of the GNU General Public License as 
  published by the Free Software Foundation; either version 2 of 
  the License, or (at your option) any later version.
 
  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
 
  You should have received a copy of the GNU General Public 
  License along with this program; if not, write to the Free 
  Software Foundation, Inc., 675 Massachusetss Ave, Cambridge, 
  MA 02139, USA.
 
  Correspondence concerning ESO-MIDAS should be addressed as follows:
	Internet e-mail: midas@eso.org
	Postal address: European Southern Observatory
			Data Management Division 
			Karl-Schwarzschild-Strasse 2
			D 85748 Garching bei Muenchen 
			GERMANY
===========================================================================*/


#include <ftoc.h>
#include <midas_def.h>


#if 0     /* ==== Original Code ==== */
SUBROUTINE IIGTXT(dsplay,chan,string,xpos,ypos,path,orient,intens,ht,idst)
CHARACTER  string;
fint2c *dsplay;
fint2c *chan;
fint2c *orient;
fint2c *intens;
fint2c *xpos;
fint2c *ypos;
fint2c *path;
fint2c *ht;
fint2c *idst;
#else     /* ==== Generated Code === */
#define IIGTXT	iigtxt_
IIGTXT(va_alist) va_dcl 
{ va_list Cargs;
#endif    /* ======================= */
  int FORmark;           /* <forif> */


char mystring[TEXT_LEN];

/*
* Temporary string needs to contain original Fortran string
*/  va_start(Cargs);       /* <forif> */
  FORmark = ftoc_mark(); /* <forif> */


oscopy(mystring,CHAR_LOC(3,10,0),CHAR_LEN(3,10,0));
mystring[CHAR_LEN(3,10,0)] = '\0';

*PARAM(10,10,1,fint2c *) = IIGTXT_C(*PARAM(1,10,0,fint2c *),*PARAM(2,10,0,fint2c *),mystring,*PARAM(4,10,1,fint2c *),*PARAM(5,10,1,fint2c *),
                 *PARAM(6,10,1,fint2c *),*PARAM(7,10,1,fint2c *),*PARAM(8,10,1,fint2c *),*PARAM(9,10,1,fint2c *));
  ftoc_free(FORmark);    /* <forif> */
}

#define IIGPLY	iigply_
ROUTINE IIGPLY(dsplay,chan,xfig,yfig,ndim,intens,style,idst)
fint2c *dsplay;
fint2c *chan;
fint2c *xfig;
fint2c *yfig;
fint2c *ndim;
fint2c *intens;
fint2c *style;
fint2c *idst;
{
*idst = IIGPLY_C(*dsplay,*chan,xfig,yfig,*ndim,*intens,*style);
}

#define IIGCPY	iigcpy_
ROUTINE IIGCPY(dsplay,chan,append,idst)
fint2c *dsplay;
fint2c *chan;
fint2c *append;
fint2c *idst;
{
*idst = IIGCPY_C(*dsplay,*chan,*append);
}

